#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # Javascript library in a notebook: pig
# 
# Tries [pig](https://github.com/schlosser/pig.js) in a notebook. Example from [index.html](https://github.com/schlosser/pig.js/blob/master/test/index.html).

# In[1]:


from jyquickhelper import RenderJS
css = None
libs = ['http://www.xavierdupre.fr/js/pig/pig.min.js']
script = """
var imageData = [
    {"filename": "nb_c3.thumb.png", "aspectRatio": 1},
    {"filename": "nb_viz.thumb.png", "aspectRatio": 1},
    {"filename": "nb_svg.thumb.png", "aspectRatio": 1},
    {"filename": "nb_vis.thumb.png", "aspectRatio": 1},
    {"filename": "nb_mermaid.thumb.png", "aspectRatio": 1},
];
var pig = new Pig(imageData, {
    urlForSize: function(filename, size) {
        return 'http://www.xavierdupre.fr/app/jyquickhelper/helpsphinx/_images/' + filename;
        },
    containerId: "__ID__",
}).enable();
"""
jr = RenderJS(script, css=css, libs=libs)
jr


# In[2]:


print(jr._repr_html_())


# Not very successful.

# In[3]: